<?php
/**
 * @package Chris Happens
 * @subpackage Blog Happens
 */


if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
    
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 80, 80, true ); // 80 pixels wide by 80 pixels tall, hard crop mode

$themename = "Blog Happens";
$shortname = "bhp";

$options = array (
	array("name" => "Theme Options",
		"type" => "title"),
	
	array("type" => "open"),
	
	array("name" => "Blog Content Width",
		"id" => $shortname."_content_width",
		"desc" => "Choose blog content width.",
		 "std" => "wide",
		"type" => "choose_content_width"),
	
	array("name" => "Blog Image",
		"desc" => "Appear on top-left of the page. Please use 80px width.",
		"id" => $shortname."_blog_image",
		"type" => "blog_file"),
		
	array("name" => "Text Link Color",
		"desc" => "Select the text link color.",
		"id" => $shortname."_link_color",
		"std" => "",
		"type" => "choose_color"),
		
	array("name" => "Text Link Color on Hover",
		"desc" => "Select the text link color when move mouse over the text.",
		"id" => $shortname."_hover_color",
		"std" => "",
		"type" => "choose_color"),
	
	array("name" => "Background Color",
		"desc" => "Select the background color.",
		"id" => $shortname."_bg_color",
		"std" => "",
		"type" => "choose_color"),
	
	array("name" => "Background Image",
		"desc" => "Upload background image here.",
		"id" => $shortname."_bg_image",
		"type" => "bg_file"),
		
	array("name" => "Background Repeat Style",
		"id" => $shortname."_bg_repeat_style",
		"desc" => "Choose which style of background repeat.",
		"std" => "repeat",
		"type" => "choose_bg_repeat"),
	
	array("name" => "Custom CSS",
		"id" => $shortname."_custom_css",
		"desc" => "Input your Custom CSS code.",
		"type" => "custom_css"),
	
	array("type" => "blog_image_enable",
		"id" => $shortname."_blog_image_enable"),
		
	array("type" => "bg_image_enable",
		"id" => $shortname."_bg_image_enable"),
	
	array("type" => "close")
);

$uploadpath = wp_upload_dir();

if ($uploadpath['baseurl']=='') $uploadpath['baseurl'] = get_bloginfo('siteurl').'/wp-content/uploads';

function bhp_add_admin()
{
  global $themename, $shortname, $options, $uploadpath;
  if ( $_GET['page'] == basename(__FILE__) )
  {
    if ( 'save' == $_REQUEST['action'] )
	{
	  foreach ($options as $value)
	  {
	    update_option( $value['id'], $_REQUEST[ $value['id'] ] );
	  }
      foreach ($options as $value)
	  {
	    if( isset( $_REQUEST[ $value['id'] ] ) )
		  update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); 
		else
	      delete_option( $value['id'] );
	  }

	  if ($_FILES["bgImage"]["type"])
	  {
		  $directory = $uploadpath['basedir'].'/';
		  $filename = str_replace(' ', '_', $_FILES["bgImage"]["name"]);
		  move_uploaded_file($_FILES["bgImage"]["tmp_name"], $directory . $filename);
		  update_option('bhp_bgImage', $uploadpath['baseurl']. "/". $filename);
	  }
	  
	  if ($_FILES["blogImage"]["type"])
	  {
		   $directory = $uploadpath['basedir'].'/';
		   $filename = str_replace(' ', '_', $_FILES["blogImage"]["name"]);
		   move_uploaded_file($_FILES["blogImage"]["tmp_name"], $directory . $filename);
		   update_option('bhp_blogImage', $uploadpath['baseurl']. "/". $filename);
	  }

      header("Location: themes.php?page=functions.php&saved=true");
      die;
    }
    else if( 'reset' == $_REQUEST['action'] )
	{
      foreach ($options as $value)
	  {
	    delete_option( $value['id'] );
	  }
      header("Location: themes.php?page=functions.php&reset=true");
	  die;
    }
  }
  add_theme_page($themename." Options", "Theme Options", 'edit_themes', basename(__FILE__), 'bhp_admin');
}


function bhp_admin()
{
  global $themename, $shortname, $options, $uploadpath;
  if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
  if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';

?>

<div class="wrap">
<h2><?php echo $themename; ?> Settings</h2>
<style type="text/css"> @import "<?php print get_option('siteurl'). "/wp-content/themes/". get_option('template') ?>/colorpicker/css/colorpicker.css"; </style>
<script type="text/javascript" src="<?php print get_option('siteurl'). "/wp-content/themes/". get_option('template') ?>/colorpicker/js/colorpicker.js"></script>
<script type="text/javascript">
 jQuery(document).ready(function() {
  jQuery('#bhp_bg_color').ColorPicker({
	onSubmit: function(hsb, hex, rgb) {
		jQuery('#bhp_bg_color').val(hex);
		jQuery('#bhp_bg_color').ColorPickerHide();
	},
	onShow: function (colpkr) {
		jQuery(colpkr).fadeIn(500);
		return false;
	},
	onHide: function (colpkr) {
		jQuery(colpkr).fadeOut(500);
		return false;
	},
	onChange: function(hsb, hex, rgb) {
		jQuery('#bhp_bg_color').val(hex);
        jQuery('#bhp_bg_color').css("background-color","#"+hex);
        colortype = hex[0];
        if (isNaN(colortype)) jQuery('#bhp_bg_color').css("color","#000");
        else jQuery('#bhp_bg_color').css("color","#fff");
	}
    })
    .bind('keyup', function(){
    	jQuery(this).ColorPickerSetColor(this.value);
    });
	jQuery('#bhp_overlay_font_color').ColorPicker({
	onSubmit: function(hsb, hex, rgb) {
		jQuery('#bhp_overlay_font_color').val(hex);
		jQuery('#bhp_overlay_font_color').ColorPickerHide();
	},
	onShow: function (colpkr) {
		//jQuery(this).ColorPickerSetColor(this.value);
		jQuery(colpkr).fadeIn(500);
		return false;
	},
	onHide: function (colpkr) {
		jQuery(colpkr).fadeOut(500);
		return false;
	},
	onChange: function(hsb, hex, rgb) {
		jQuery('#bhp_overlay_font_color').val(hex);
        jQuery('#bhp_overlay_font_color').css("background-color","#"+hex);
        colortype = hex[0];
        if (isNaN(colortype)) jQuery('#bhp_overlay_font_color').css("color","#000");
        else jQuery('#bhp_overlay_font_color').css("color","#fff");
	}
    })
    .bind('keyup', function(){
    	jQuery(this).ColorPickerSetColor(this.value);
    });
   });
</script>
<script type="text/javascript">
 jQuery(document).ready(function() {
  jQuery('#bhp_link_color').ColorPicker({
	onSubmit: function(hsb, hex, rgb) {
		jQuery('#bhp_link_color').val(hex);
		jQuery('#bhp_link_color').ColorPickerHide();
	},
	onShow: function (colpkr) {
		jQuery(colpkr).fadeIn(500);
		return false;
	},
	onHide: function (colpkr) {
		jQuery(colpkr).fadeOut(500);
		return false;
	},
	onChange: function(hsb, hex, rgb) {
		jQuery('#bhp_link_color').val(hex);
        jQuery('#bhp_link_color').css("background-color","#"+hex);
        colortype = hex[0];
        if (isNaN(colortype)) jQuery('#bhp_link_color').css("color","#000");
        else jQuery('#bhp_link_color').css("color","#fff");
	}
    })
    .bind('keyup', function(){
    	jQuery(this).ColorPickerSetColor(this.value);
    });
	jQuery('#bhp_overlay_font_color').ColorPicker({
	onSubmit: function(hsb, hex, rgb) {
		jQuery('#bhp_overlay_font_color').val(hex);
		jQuery('#bhp_overlay_font_color').ColorPickerHide();
	},
	onShow: function (colpkr) {
		//jQuery(this).ColorPickerSetColor(this.value);
		jQuery(colpkr).fadeIn(500);
		return false;
	},
	onHide: function (colpkr) {
		jQuery(colpkr).fadeOut(500);
		return false;
	},
	onChange: function(hsb, hex, rgb) {
		jQuery('#bhp_overlay_font_color').val(hex);
        jQuery('#bhp_overlay_font_color').css("background-color","#"+hex);
        colortype = hex[0];
        if (isNaN(colortype)) jQuery('#bhp_overlay_font_color').css("color","#000");
        else jQuery('#bhp_overlay_font_color').css("color","#fff");
	}
    })
    .bind('keyup', function(){
    	jQuery(this).ColorPickerSetColor(this.value);
    });
   });
</script>
<script type="text/javascript">
 jQuery(document).ready(function() {
  jQuery('#bhp_hover_color').ColorPicker({
	onSubmit: function(hsb, hex, rgb) {
		jQuery('#bhp_hover_color').val(hex);
		jQuery('#bhp_hover_color').ColorPickerHide();
	},
	onShow: function (colpkr) {
		jQuery(colpkr).fadeIn(500);
		return false;
	},
	onHide: function (colpkr) {
		jQuery(colpkr).fadeOut(500);
		return false;
	},
	onChange: function(hsb, hex, rgb) {
		jQuery('#bhp_hover_color').val(hex);
        jQuery('#bhp_hover_color').css("background-color","#"+hex);
        colortype = hex[0];
        if (isNaN(colortype)) jQuery('#bhp_hover_color').css("color","#000");
        else jQuery('#bhp_hover_color').css("color","#fff");
	}
    })
    .bind('keyup', function(){
    	jQuery(this).ColorPickerSetColor(this.value);
    });
	jQuery('#bhp_overlay_font_color').ColorPicker({
	onSubmit: function(hsb, hex, rgb) {
		jQuery('#bhp_overlay_font_color').val(hex);
		jQuery('#bhp_overlay_font_color').ColorPickerHide();
	},
	onShow: function (colpkr) {
		//jQuery(this).ColorPickerSetColor(this.value);
		jQuery(colpkr).fadeIn(500);
		return false;
	},
	onHide: function (colpkr) {
		jQuery(colpkr).fadeOut(500);
		return false;
	},
	onChange: function(hsb, hex, rgb) {
		jQuery('#bhp_overlay_font_color').val(hex);
        jQuery('#bhp_overlay_font_color').css("background-color","#"+hex);
        colortype = hex[0];
        if (isNaN(colortype)) jQuery('#bhp_overlay_font_color').css("color","#000");
        else jQuery('#bhp_overlay_font_color').css("color","#fff");
	}
    })
    .bind('keyup', function(){
    	jQuery(this).ColorPickerSetColor(this.value);
    });
   });
</script>
<form method="post" enctype="multipart/form-data">

<?php foreach ($options as $value) {
switch ( $value['type'] ) {
case "open":
?>
<table class="form-table">


<?php break;
case "close":
?>

</table><br />

<?php break;
case "title":
/*

	<tr>
	<td colspan="2"><h3><?php echo $value['name']; ?></h3></td>
	</tr>
	
*/
?>
<?php break;
case 'text':
?>

	<tr>
		<th><strong><?php echo $value['name']; ?></strong></th>
		<td><input style="width:400px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
		<br /><small><?php echo $value['desc']; ?></small></td>
	</tr>
	
<?php break;
case 'blog_file':
?>

	<tr>
	<th><strong><?php echo $value['name']; ?></strong><br /></th>
	<td><?php if(get_settings('bhp_blog_image_enable') == 'on') { echo '<img src="'; echo get_settings('bhp_blogImage'); echo '"style="padding:0 5px 3px 0;" height="80" align="left"/>'; } ?>
	  <input type="checkbox" <?php if (get_settings('bhp_blog_image_enable') == 'on') echo 'checked="checked"'; ?>
			 name="bhp_blog_image_enable" id="bhp_blog_image_enable" /> Enable blog image<br/>
	<?php if(is_writable($uploadpath['basedir'])) {?>
      <input type="file" name="blogImage" id="<?php echo $value['id']; ?>" /><br /><small><?php echo $value['desc']; ?></small>
      <?php } else {  ?>
      <em style="color:#c91a1a"><?php printf(__('Can\'t upload! Directory %s is not writable!<br />','bhp'), $uploadpath['baseurl']); ?></em>
    <?php } ?>
	  </td>
	  </tr>
	   
<?php break;
case 'choose_bg_repeat': ?>

	  <tr>
		<th><strong><?php echo $value['name']; ?></strong></th>
		<td>
			<select name="bhp_bg_repeat_style">
				<option value="repeat"<?php if(get_settings("bhp_bg_repeat_style") == 'repeat') echo ' selected="selected"'; ?>>Tile</option>
				<option value="no-repeat"<?php if(get_settings("bhp_bg_repeat_style") == 'no-repeat') echo ' selected="selected"'; ?>>No repeat</option>
				<option value="repeat-x"<?php if(get_settings("bhp_bg_repeat_style") == 'repeat-x') echo ' selected="selected"'; ?>>Tile horizontal only</option>
				<option value="repeat-y"<?php if(get_settings("bhp_bg_repeat_style") == 'repeat-y') echo ' selected="selected"'; ?>>Tile vertical only</option>		
			</select>
			<br /><small><?php echo $value['desc']; ?></small>
		</td>
	  </tr>
	  
<?php break;
case 'choose_content_width': ?>

	  <tr>
		<th><strong><?php echo $value['name']; ?></strong></th>
		<td>
			<select name="bhp_content_width">
				<option value="wide"<?php if(get_settings("bhp_content_width") == 'wide') echo ' selected="selected"'; ?>>Wide - 610px width content</option>
				<option value="narrow"<?php if(get_settings("bhp_content_width") == 'narrow') echo ' selected="selected"'; ?>>Narrow - 490px width content</option>
			</select>
			<br /><small><?php echo $value['desc']; ?></small>
		</td>
	  </tr>
	  
<?php break;
case 'bg_file':
?>

	<tr>
	<th><strong><?php echo $value['name']; ?></strong><br /></th>
	<td><?php if(get_settings('bhp_bg_image_enable') == 'on'){ echo '<img src="'; echo get_settings('bhp_bgImage'); echo '"style="padding:0 5px 3px 0;" height="80" align="left"/>'; } ?>
	  <input type="checkbox" <?php if (get_settings('bhp_bg_image_enable') == 'on') echo 'checked="checked"'; ?>
			 name="bhp_bg_image_enable" id="bhp_bg_image_enable" /> Enable background image<br/>
	<?php if(is_writable($uploadpath['basedir'])) {?>
      <input type="file" name="bgImage" id="<?php echo $value['id']; ?>" />
      <br /><small><?php echo $value['desc']; ?> You can try <a href="http://bgpatterns.com/">BGpatterns.com</a></small>
      <?php } else {  ?>
      <em style="color:#c91a1a"><?php printf(__('Can\'t upload! Directory %s is not writable!<br />','bhp'), $uploadpath['baseurl']); ?></em>
    <?php } ?>
	  </td>
	  </tr>

<?php break;
case "custom_css":
?>

	  <tr>
			<th><strong><?php echo $value['name']; ?></strong></th>
			<td>
				<textarea rows=4 cols=50 id="<?php echo $value['id']; ?>" name="<?php echo $value['id']; ?>"><?php echo get_settings( $value['id'] ); ?></textarea>
				<br /><small><?php echo $value['desc']; ?></small>			
			</td>
	  </tr>
  
<?php break;
case 'choose_color': ?>

	  <tr>
			<th><strong><?php echo $value['name']; ?></strong></th>
			<td>
				# <input type="text" id="<?php echo $value['id']; ?>" name="<?php echo $value['id']; ?>" style="background: #<?php echo get_settings($value['id']); ?>; color: #<?php $colortype = get_settings($value['id']); $colortype = $colortype[0]; if(is_numeric($colortype)) print 'fff'; else print '000';  ?>" value="<?php echo get_settings($value['id']); ?>" />
		
				<!--br /><small><?php echo $value['desc']; ?></small-->
			</td>
	  </tr>

<?php break;
}
}
?>
			<p class="submit">
			<input class="button-primary" name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
			</p>
	  </form>

	  <form method="post">
	  <p class="submit">
			<input name="reset" type="submit" value="Reset" />
			<input type="hidden" name="action" value="reset" />
	  </p>
	  </form>
	  
	  <?php
}


add_action('admin_menu', 'bhp_add_admin'); 
?>
