<?php
/**
 * @package Chris Happens
 * @subpackage Blog Happens
 */
?>
<?php get_header(); ?>
<div id="content">
<?php if ( is_category() || is_tag() || is_day() || is_month() || is_year() || is_author() || is_search() ) { ?> 
	<?php if (is_category()) { ?>
	<h1>Category: <?php single_cat_title(); ?></h1>
	<?php } elseif (is_tag()) { ?>
	<h1>Tag: <?php single_tag_title(); ?></h1>
	<?php } elseif (is_day()) { ?>
	<h1>Date: <?php the_time('l - j F Y'); ?></h1>
	<?php } elseif (is_month()) { ?>
	<h1>Month: <?php the_time('F Y'); ?></h1>
	<?php } elseif (is_year()) { ?>
	<h1>Year: <?php the_time('Y'); ?></h1>
	<?php } elseif (is_author()) { ?>
	<h1>Author Archive</h1>
	<?php } elseif (is_search()) { ?>
	<h1>Searched for: <?php the_search_query(); ?></h1>
	<?php } ?>
<?php } else { ?><div id="homespace"><span></span></div><?php } ?>


<div class="entry">

<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
<div class="item clearfix" id="post-<?php the_ID(); ?>">
<div class="pic">
<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
<?php 
if(has_post_thumbnail()) {
	the_post_thumbnail(); } 
else {
	if ( function_exists('get_the_image') ) {
		get_the_image(array( 'custom_key' => array( 'Thumbnail', 'thumbnail' ), 'default_image' => get_bloginfo('template_directory').'/images/thumb.jpg' )); } 
	else {
		?><img src="<?php bloginfo('stylesheet_directory'); ?>/images/thumb.jpg" alt="thumb" /><?php
	}
} ?>
</a>
</div>
<div class="info">
<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
<div class="date"><?php the_time('j F Y') ?></div>
<div class="excerpt"><?php the_excerpt(); ?><?php // the_content('Read the rest of this entry &raquo;'); ?></div>
</div><!--info-->
</div><!--item-->
<?php endwhile; ?>


<div class="navigation">
<?php if(function_exists('wp_page_numbers')) :?>
	<?php wp_page_numbers(); ?>
<?php else : ?>
	<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
	<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
<?php endif; ?>
</div><!--navigation-->


<?php else : ?>
<h2 class="center">Not Found</h2><p class="center">Sorry, but you are looking for something that isn't here.</p>
<?php endif; ?>

</div><!--entry-->
</div><!--content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>
